### Method

# Gdk Display map_keycode

#### Declaration [src]

    gboolean
    gdk_display_map_keycode (
      GdkDisplay* display,
      guint keycode,
      GdkKeymapKey** keys,
      guint** keyvals,
      int* n_entries
    )

#### Description [src]

Returns the keyvals bound to `keycode`.

The Nth `GdkKeymapKey` in `keys` is bound to the Nth keyval in `keyvals`.

When a keycode is pressed by the user, the keyval from this list of entries is selected by considering the effective keyboard group and level.

Free the returned arrays with g_free().

#### Parameters

`keycode`

  Type: `guint`

  A keycode.

`keys`

  Type: An array of `GdkKeymapKey*`

  Return location for array of `GdkKeymapKey`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `n_entries` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`keyvals`

  Type: An array of `guint*`

  Return location for array of keyvals.

  The argument will be set by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `n_entries` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`n_entries`

  Type: `int*`

  Length of `keys` and `keyvals`.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if there were any entries.